import { ValueField } from "../value-field";
import * as i0 from "@angular/core";
export declare class NumberFieldComponent {
    field: NumberField;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberFieldComponent, "path-numberfield", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class NumberField extends ValueField<number> {
    private _min;
    private _max;
    private _digits;
    get min(): number;
    set min(value: number);
    get max(): number;
    set max(value: number);
    get digits(): number;
    set digits(value: number);
    getStep(): string;
    fromJson(modelFormField: any): void;
}
